Update an existing payment method of a customer.
This API is useful for use cases such as updating the card number for expired cards to prevent discontinuity in recurring payments.
Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Metadata is useful for storing additional, structured information on an object.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Hyperswitch","colors":{"primary":"#4F8EFF","light":"#6BA3FF","dark":"#2563EB"},"logo":{"light":"/logo/light.svg","dark":"/logo/dark.svg"},"favicon":"/favicon.png","api":{"openapi":["v1/openapi_spec_v1.json","v2/openapi_spec_v2.json","rust_locker_open_api_spec.yml","decision_engine_openapi-specs.json"]},"background":{"color":{"light":"#FAFBFC","dark":"#1d1d1d"}},"navbar":{"links":[{"href":"https://inviter.co/hyperswitch-slack","label":"Contact Us"},{"href":"https://deepwiki.com/juspay/hyperswitch","label":"Explore with Deepwiki"}],"primary":{"type":"button","label":"Self-Deploy","href":"https://docs.hyperswitch.io/hyperswitch-open-source/overview"}},"footer":{"socials":{"github":"https://github.com/juspay/hyperswitch","linkedin":"https://www.linkedin.com/company/hyperswitch"}},"integrations":{"gtm":{"tagId":"GTM-PLBNKQFQ"},"mixpanel":{"projectToken":"b00355f29d9548d1333608df71d5d53d"}},"contextual":{"options":["copy","claude","chatgpt","view"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"hasAudioNarration":false,"customDomains":[],"gitSource":{"type":"github","owner":"local","repo":"local","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":"local","isBase":true},"buildId":"local","clientVersion":"0.0.4064"},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false,"isLoggedInCli":false},"customCss":[],"page":{"pagePath":"v1/payment-methods/payment-method--update","slug":"/v1/payment-methods/payment-method--update","pageMetadata":{"openapi":"post /payment_methods/{method_id}/update","description":"Update an existing payment method of a customer.\nThis API is useful for use cases such as updating the card number for expired cards to prevent discontinuity in recurring payments.","href":"/v1/payment-methods/payment-method--update","title":"Payment Method - Update"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update an existing payment method of a customer.\\nThis API is useful for use cases such as updating the card number for expired cards to prevent discontinuity in recurring payments.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /payment_methods/{method_id}/update","description":"Update an existing payment method of a customer.\nThis API is useful for use cases such as updating the card number for expired cards to prevent discontinuity in recurring payments.","href":"/v1/payment-methods/payment-method--update","title":"Payment Method - Update"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Payment Methods"],"summary":"Payment Method - Update","description":"Update an existing payment method of a customer.\nThis API is useful for use cases such as updating the card number for expired cards to prevent discontinuity in recurring payments.","operationId":"Update a Payment method","parameters":["96eb4ef5-1554-48d0-a979-019704233f23"],"requestBody":"689823e6-04a5-4d58-8fb7-0bf96bb60bde","responses":{"200":"99750431-6898-402b-bfff-4c808fc8de5b","404":"fff10907-edaf-4937-a641-ef521359628d"},"security":["cfe6b3ff-1809-462b-8829-cd17e4569f4e","5dbbc6f5-00c6-47aa-92b9-a5f38c5c7afc"],"method":"post","type":"path","servers":["f61470cd-dcf1-4ff9-8d18-5ea2fd311348"],"path":"/payment_methods/{method_id}/update","baseUrlOptions":["https://sandbox.hyperswitch.io"],"title":"Payment Method - Update","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"96eb4ef5-1554-48d0-a979-019704233f23":{"name":"method_id","in":"path","description":"The unique identifier for the Payment Method","required":true,"schema":{"type":"string","isRequired":true,"description":"The unique identifier for the Payment Method","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"card":{"oneOf":[{"type":"object","required":["card_exp_month","card_exp_year","card_holder_name"],"properties":{"card_exp_month":{"type":"string","description":"Card Expiry Month","example":"10","isRequired":true,"uniqueKey":"card.oneOf.0.card_exp_month","typeLabel":"string"},"card_exp_year":{"type":"string","description":"Card Expiry Year","example":"25","isRequired":true,"uniqueKey":"card.oneOf.0.card_exp_year","typeLabel":"string"},"card_holder_name":{"type":"string","description":"Card Holder Name","example":"John Doe","isRequired":true,"uniqueKey":"card.oneOf.0.card_holder_name","typeLabel":"string"},"nick_name":{"oneOf":[{"type":"string","description":"Card Holder's Nick Name","example":"John Doe","uniqueKey":"card.oneOf.0.nick_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Card Holder's Nick Name","example":"John Doe","uniqueKey":"card.oneOf.0.nick_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.nick_name","typeLabel":"string | null"},"last4_digits":{"oneOf":[{"type":"string","description":"Card's Last 4 Digits","example":"1111","uniqueKey":"card.oneOf.0.last4_digits.oneOf.0","typeLabel":"string"},{"type":"null","description":"Card's Last 4 Digits","example":"1111","uniqueKey":"card.oneOf.0.last4_digits.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.last4_digits","typeLabel":"string | null"},"card_issuer":{"oneOf":[{"type":"string","description":"Issuing Bank of the Particular Card","example":"Bank of America","uniqueKey":"card.oneOf.0.card_issuer.oneOf.0","typeLabel":"string"},{"type":"null","description":"Issuing Bank of the Particular Card","example":"Bank of America","uniqueKey":"card.oneOf.0.card_issuer.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.card_issuer","typeLabel":"string | null"},"issuer_country":{"oneOf":[{"type":"string","description":"The country where that particular card was issued","example":"US","uniqueKey":"card.oneOf.0.issuer_country.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country where that particular card was issued","example":"US","uniqueKey":"card.oneOf.0.issuer_country.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.issuer_country","typeLabel":"string | null"},"issuer_country_code":{"oneOf":[{"type":"string","description":"The country code where that particular card was issued","example":"US","uniqueKey":"card.oneOf.0.issuer_country_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country code where that particular card was issued","example":"US","uniqueKey":"card.oneOf.0.issuer_country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.issuer_country_code","typeLabel":"string | null"},"card_network":{"oneOf":[{"type":"string","description":"The card network","example":"VISA","uniqueKey":"card.oneOf.0.card_network.oneOf.0","typeLabel":"string"},{"type":"null","description":"The card network","example":"VISA","uniqueKey":"card.oneOf.0.card_network.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.card_network","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"card.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"card.oneOf.1","typeLabel":"null"}],"uniqueKey":"card","typeLabel":"object | null"},"wallet":{"oneOf":[{"type":"object","properties":{"last4":{"oneOf":[{"type":"string","description":"Last 4 digits of the card number","uniqueKey":"wallet.oneOf.0.last4.oneOf.0","typeLabel":"string"},{"type":"null","description":"Last 4 digits of the card number","uniqueKey":"wallet.oneOf.0.last4.oneOf.1","typeLabel":"null"}],"uniqueKey":"wallet.oneOf.0.last4","typeLabel":"string | null"},"card_network":{"oneOf":[{"type":"string","description":"The information of the payment method","uniqueKey":"wallet.oneOf.0.card_network.oneOf.0","typeLabel":"string"},{"type":"null","description":"The information of the payment method","uniqueKey":"wallet.oneOf.0.card_network.oneOf.1","typeLabel":"null"}],"uniqueKey":"wallet.oneOf.0.card_network","typeLabel":"string | null"},"type":{"oneOf":[{"type":"string","description":"The type of payment method","uniqueKey":"wallet.oneOf.0.type.oneOf.0","typeLabel":"string"},{"type":"null","description":"The type of payment method","uniqueKey":"wallet.oneOf.0.type.oneOf.1","typeLabel":"null"}],"uniqueKey":"wallet.oneOf.0.type","typeLabel":"string | null"},"card_exp_month":{"oneOf":[{"type":"string","description":"The card's expiry month","example":"10","uniqueKey":"wallet.oneOf.0.card_exp_month.oneOf.0","typeLabel":"string"},{"type":"null","description":"The card's expiry month","example":"10","uniqueKey":"wallet.oneOf.0.card_exp_month.oneOf.1","typeLabel":"null"}],"uniqueKey":"wallet.oneOf.0.card_exp_month","typeLabel":"string | null"},"card_exp_year":{"oneOf":[{"type":"string","description":"The card's expiry year","example":"25","uniqueKey":"wallet.oneOf.0.card_exp_year.oneOf.0","typeLabel":"string"},{"type":"null","description":"The card's expiry year","example":"25","uniqueKey":"wallet.oneOf.0.card_exp_year.oneOf.1","typeLabel":"null"}],"uniqueKey":"wallet.oneOf.0.card_exp_year","typeLabel":"string | null"},"auth_code":{"oneOf":[{"type":"string","description":"Unique authorisation code for the payment","example":"003225","uniqueKey":"wallet.oneOf.0.auth_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique authorisation code for the payment","example":"003225","uniqueKey":"wallet.oneOf.0.auth_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"wallet.oneOf.0.auth_code","typeLabel":"string | null"},"email":{"oneOf":[{"type":"string","description":"Email address associated with the wallet (e.g. PayPal email)","example":"johntest@test.com","uniqueKey":"wallet.oneOf.0.email.oneOf.0","typeLabel":"string"},{"type":"null","description":"Email address associated with the wallet (e.g. PayPal email)","example":"johntest@test.com","uniqueKey":"wallet.oneOf.0.email.oneOf.1","typeLabel":"null"}],"uniqueKey":"wallet.oneOf.0.email","typeLabel":"string | null"}},"uniqueKey":"wallet.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"wallet.oneOf.1","typeLabel":"null"}],"uniqueKey":"wallet","typeLabel":"object | null"},"client_secret":{"oneOf":[{"type":"string","description":"This is a 15 minute expiry token which shall be used from the client to authenticate and perform sessions from the SDK","example":"secret_k2uj3he2893eiu2d","maxLength":30,"minLength":30,"uniqueKey":"client_secret.oneOf.0","typeLabel":"string"},{"type":"null","description":"This is a 15 minute expiry token which shall be used from the client to authenticate and perform sessions from the SDK","example":"secret_k2uj3he2893eiu2d","maxLength":30,"minLength":30,"uniqueKey":"client_secret.oneOf.1","typeLabel":"null"}],"uniqueKey":"client_secret","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"card":{"card_exp_month":"10","card_exp_year":"25","card_holder_name":"John Doe","nick_name":"John Doe","last4_digits":"1111","card_issuer":"Bank of America","issuer_country":"US","issuer_country_code":"US","card_network":"VISA"},"wallet":{"last4":"\u003cstring>","card_network":"\u003cstring>","type":"\u003cstring>","card_exp_month":"10","card_exp_year":"25","auth_code":"003225","email":"johntest@test.com"},"client_secret":"secret_k2uj3he2893eiu2d"}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"99750431-6898-402b-bfff-4c808fc8de5b":{"description":"Payment Method updated","content":{"application/json":{"schema":{"type":"object","required":["merchant_id","payment_method_id","payment_method"],"properties":{"merchant_id":{"type":"string","description":"Unique identifier for a merchant","example":"merchant_1671528864","isRequired":true,"uniqueKey":"merchant_id","typeLabel":"string"},"payment_method_id":{"type":"string","description":"The unique identifier of the Payment method","example":"card_rGK4Vi5iSW70MY7J2mIg","isRequired":true,"uniqueKey":"payment_method_id","typeLabel":"string"},"payment_method":{"type":"string","description":"Indicates the type of payment method. Eg: 'card', 'wallet', etc.","enum":["card","card_redirect","pay_later","wallet","bank_redirect","bank_transfer","crypto","bank_debit","reward","real_time_payment","upi","voucher","gift_card","open_banking","mobile_payment","network_token"],"isRequired":true,"uniqueKey":"payment_method","typeLabel":"enum\u003cstring>"},"customer_id":{"oneOf":[{"type":"string","description":"The unique identifier of the customer.","example":"cus_y3oqhf46pyzuxjbcn2giaqnb44","maxLength":64,"minLength":1,"uniqueKey":"customer_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier of the customer.","example":"cus_y3oqhf46pyzuxjbcn2giaqnb44","maxLength":64,"minLength":1,"uniqueKey":"customer_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer_id","typeLabel":"string | null"},"payment_method_type":{"oneOf":[{"type":"string","description":"Indicates the sub type of payment method. Eg: 'google_pay' \u0026 'apple_pay' for wallets.","enum":["ach","affirm","afterpay_clearpay","alfamart","ali_pay","ali_pay_hk","alma","amazon_pay","paysera","apple_pay","atome","bacs","bancontact_card","becs","benefit","bizum","blik","bluecode","boleto","bca_bank_transfer","bni_va","breadpay","bri_va","bhn_card_network","card_redirect","cimb_va","classic","credit","crypto_currency","cashapp","dana","danamon_va","debit","duit_now","efecty","eft","eft_debit_order","eps","flexiti","fps","evoucher","giropay","givex","google_pay","go_pay","gcash","ideal","interac","indomaret","klarna","kakao_pay","local_bank_redirect","mandiri_va","knet","mb_way","mobile_pay","momo","momo_atm","multibanco","neteller","online_banking_thailand","online_banking_czech_republic","online_banking_finland","online_banking_fpx","online_banking_poland","online_banking_slovakia","oxxo","pago_efectivo","permata_bank_transfer","open_banking_uk","pay_bright","payjustnow","paypal","paze","pix","pix_key","pix_emv","pix_qr","pix_automatico_qr","pix_automatico_push","pay_safe_card","przelewy24","prompt_pay","pse","qris","red_compra","red_pagos","samsung_pay","sepa","sepa_bank_transfer","sepa_guarenteed_debit","skrill","sofort","swish","touch_n_go","trustly","twint","upi_collect","upi_intent","upi_qr","vipps","viet_qr","venmo","walley","we_chat_pay","seven_eleven","lawson","mini_stop","family_mart","seicomart","pay_easy","local_bank_transfer","mifinity","open_banking_pis","direct_carrier_billing","instant_bank_transfer","instant_bank_transfer_finland","instant_bank_transfer_poland","revolut_pay","indonesian_bank_transfer","open_banking","network_token","payshap","payshap_proxy"],"uniqueKey":"payment_method_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"payment_method_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_type","typeLabel":"enum\u003cstring> | null"},"card":{"oneOf":[{"type":"object","required":["saved_to_locker"],"properties":{"saved_to_locker":{"type":"boolean","isRequired":true,"uniqueKey":"card.oneOf.0.saved_to_locker","typeLabel":"boolean"},"scheme":{"oneOf":[{"type":"string","uniqueKey":"card.oneOf.0.scheme.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"card.oneOf.0.scheme.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.scheme","typeLabel":"string | null"},"issuer_country":{"oneOf":[{"type":"string","uniqueKey":"card.oneOf.0.issuer_country.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"card.oneOf.0.issuer_country.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.issuer_country","typeLabel":"string | null"},"issuer_country_code":{"oneOf":[{"type":"string","uniqueKey":"card.oneOf.0.issuer_country_code.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"card.oneOf.0.issuer_country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.issuer_country_code","typeLabel":"string | null"},"last4_digits":{"oneOf":[{"type":"string","uniqueKey":"card.oneOf.0.last4_digits.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"card.oneOf.0.last4_digits.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.last4_digits","typeLabel":"string | null"},"expiry_month":{"oneOf":[{"type":"string","uniqueKey":"card.oneOf.0.expiry_month.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"card.oneOf.0.expiry_month.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.expiry_month","typeLabel":"string | null"},"expiry_year":{"oneOf":[{"type":"string","uniqueKey":"card.oneOf.0.expiry_year.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"card.oneOf.0.expiry_year.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.expiry_year","typeLabel":"string | null"},"card_token":{"oneOf":[{"type":"string","uniqueKey":"card.oneOf.0.card_token.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"card.oneOf.0.card_token.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.card_token","typeLabel":"string | null"},"card_holder_name":{"oneOf":[{"type":"string","uniqueKey":"card.oneOf.0.card_holder_name.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"card.oneOf.0.card_holder_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.card_holder_name","typeLabel":"string | null"},"card_fingerprint":{"oneOf":[{"type":"string","uniqueKey":"card.oneOf.0.card_fingerprint.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"card.oneOf.0.card_fingerprint.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.card_fingerprint","typeLabel":"string | null"},"nick_name":{"oneOf":[{"type":"string","uniqueKey":"card.oneOf.0.nick_name.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"card.oneOf.0.nick_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.nick_name","typeLabel":"string | null"},"card_network":{"oneOf":[{"type":"string","description":"Indicates the card network.","enum":["Visa","Mastercard","AmericanExpress","JCB","DinersClub","Discover","CartesBancaires","UnionPay","Interac","RuPay","Maestro","Star","Pulse","Accel","Nyce","Prop","PrivateLabel","Dinacard"],"uniqueKey":"card.oneOf.0.card_network.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"card.oneOf.0.card_network.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.card_network","typeLabel":"enum\u003cstring> | null"},"card_isin":{"oneOf":[{"type":"string","uniqueKey":"card.oneOf.0.card_isin.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"card.oneOf.0.card_isin.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.card_isin","typeLabel":"string | null"},"card_issuer":{"oneOf":[{"type":"string","uniqueKey":"card.oneOf.0.card_issuer.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"card.oneOf.0.card_issuer.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.card_issuer","typeLabel":"string | null"},"card_type":{"oneOf":[{"type":"string","uniqueKey":"card.oneOf.0.card_type.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"card.oneOf.0.card_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.card_type","typeLabel":"string | null"},"card_subtype":{"oneOf":[{"type":"string","uniqueKey":"card.oneOf.0.card_subtype.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"card.oneOf.0.card_subtype.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.card_subtype","typeLabel":"string | null"},"card_segment_type":{"oneOf":[{"type":"string","enum":["business","commercial","consumer","government"],"uniqueKey":"card.oneOf.0.card_segment_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"card.oneOf.0.card_segment_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.card_segment_type","typeLabel":"enum\u003cstring> | null"},"funding_source":{"oneOf":[{"type":"string","enum":["CREDIT","DEBIT","DEFERRED DEBIT","PREPAID","CHARGE CARD"],"uniqueKey":"card.oneOf.0.funding_source.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"card.oneOf.0.funding_source.oneOf.1","typeLabel":"null"}],"uniqueKey":"card.oneOf.0.funding_source","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"card.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"card.oneOf.1","typeLabel":"null"}],"uniqueKey":"card","typeLabel":"object | null"},"recurring_enabled":{"oneOf":[{"type":"boolean","description":"Indicates whether the payment method supports recurring payments. Optional.","example":true,"uniqueKey":"recurring_enabled.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Indicates whether the payment method supports recurring payments. Optional.","example":true,"uniqueKey":"recurring_enabled.oneOf.1","typeLabel":"null"}],"uniqueKey":"recurring_enabled","typeLabel":"boolean | null"},"installment_payment_enabled":{"oneOf":[{"type":"boolean","description":"Indicates whether the payment method is eligible for installment payments (e.g., EMI, BNPL). Optional.","example":true,"uniqueKey":"installment_payment_enabled.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Indicates whether the payment method is eligible for installment payments (e.g., EMI, BNPL). Optional.","example":true,"uniqueKey":"installment_payment_enabled.oneOf.1","typeLabel":"null"}],"uniqueKey":"installment_payment_enabled","typeLabel":"boolean | null"},"payment_experience":{"oneOf":[{"type":"array","items":{"type":"string","description":"To indicate the type of payment experience that the customer would go through","enum":["redirect_to_url","invoke_sdk_client","display_qr_code","one_click","link_wallet","invoke_payment_app","display_wait_screen","collect_otp"],"uniqueKey":"payment_experience.oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"description":"Type of payment experience enabled with the connector","example":["redirect_to_url"],"uniqueKey":"payment_experience.oneOf.0","typeLabel":"enum\u003cstring>[]"},{"type":"null","items":{"type":"string","description":"To indicate the type of payment experience that the customer would go through","enum":["redirect_to_url","invoke_sdk_client","display_qr_code","one_click","link_wallet","invoke_payment_app","display_wait_screen","collect_otp"]},"description":"Type of payment experience enabled with the connector","example":["redirect_to_url"],"uniqueKey":"payment_experience.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_experience","typeLabel":"enum\u003cstring>[] | null"},"metadata":{"oneOf":[{"type":"object","description":"You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Metadata is useful for storing additional, structured information on an object.","uniqueKey":"metadata.oneOf.0","typeLabel":"object"},{"type":"null","description":"You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Metadata is useful for storing additional, structured information on an object.","uniqueKey":"metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata","typeLabel":"object | null"},"created":{"oneOf":[{"type":"string","format":"date-time","description":"A timestamp (ISO 8601 code) that determines when the payment method was created","example":"2023-01-18T11:04:09.922Z","uniqueKey":"created.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"A timestamp (ISO 8601 code) that determines when the payment method was created","example":"2023-01-18T11:04:09.922Z","uniqueKey":"created.oneOf.1","typeLabel":"null"}],"uniqueKey":"created","typeLabel":"string\u003cdate-time> | null"},"bank_transfer":{"oneOf":[{"type":"object","description":"Deprecated - Use `BankTransfer` instead","required":["bank_account_number","bank_routing_number"],"properties":{"bank_account_number":{"type":"string","description":"Bank account number is an unique identifier assigned by a bank to a customer.","example":"000123456","isRequired":true,"uniqueKey":"bank_transfer.oneOf.0.bank_account_number","typeLabel":"string"},"bank_routing_number":{"type":"string","description":"[9 digits] Routing number - used in USA for identifying a specific bank.","example":"110000000","isRequired":true,"uniqueKey":"bank_transfer.oneOf.0.bank_routing_number","typeLabel":"string"},"bank_name":{"oneOf":[{"type":"string","description":"Bank name","example":"Deutsche Bank","uniqueKey":"bank_transfer.oneOf.0.bank_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Bank name","example":"Deutsche Bank","uniqueKey":"bank_transfer.oneOf.0.bank_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.0.bank_name","typeLabel":"string | null"},"bank_country_code":{"oneOf":[{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW","US"],"uniqueKey":"bank_transfer.oneOf.0.bank_country_code.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"bank_transfer.oneOf.0.bank_country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.0.bank_country_code","typeLabel":"enum\u003cstring> | null"},"bank_city":{"oneOf":[{"type":"string","description":"Bank city","example":"California","uniqueKey":"bank_transfer.oneOf.0.bank_city.oneOf.0","typeLabel":"string"},{"type":"null","description":"Bank city","example":"California","uniqueKey":"bank_transfer.oneOf.0.bank_city.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.0.bank_city","typeLabel":"string | null"},"account_holder_name":{"oneOf":[{"type":"string","description":"Account holder name","example":"John Doe","uniqueKey":"bank_transfer.oneOf.0.account_holder_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Account holder name","example":"John Doe","uniqueKey":"bank_transfer.oneOf.0.account_holder_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.0.account_holder_name","typeLabel":"string | null"}},"uniqueKey":"bank_transfer.oneOf.0","typeLabel":"object"},{"type":"object","description":"Deprecated - Use `BankTransfer` instead","required":["bank_account_number","bank_sort_code"],"properties":{"bank_account_number":{"type":"string","description":"Bank account number is an unique identifier assigned by a bank to a customer.","example":"000123456","isRequired":true,"uniqueKey":"bank_transfer.oneOf.1.bank_account_number","typeLabel":"string"},"bank_sort_code":{"type":"string","description":"[6 digits] Sort Code - used in UK and Ireland for identifying a bank and it's branches.","example":"98-76-54","isRequired":true,"uniqueKey":"bank_transfer.oneOf.1.bank_sort_code","typeLabel":"string"},"bank_name":{"oneOf":[{"type":"string","description":"Bank name","example":"Deutsche Bank","uniqueKey":"bank_transfer.oneOf.1.bank_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Bank name","example":"Deutsche Bank","uniqueKey":"bank_transfer.oneOf.1.bank_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.1.bank_name","typeLabel":"string | null"},"bank_country_code":{"oneOf":[{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW","US"],"uniqueKey":"bank_transfer.oneOf.1.bank_country_code.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"bank_transfer.oneOf.1.bank_country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.1.bank_country_code","typeLabel":"enum\u003cstring> | null"},"bank_city":{"oneOf":[{"type":"string","description":"Bank city","example":"California","uniqueKey":"bank_transfer.oneOf.1.bank_city.oneOf.0","typeLabel":"string"},{"type":"null","description":"Bank city","example":"California","uniqueKey":"bank_transfer.oneOf.1.bank_city.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.1.bank_city","typeLabel":"string | null"},"account_holder_name":{"oneOf":[{"type":"string","description":"Account holder name","example":"John Doe","uniqueKey":"bank_transfer.oneOf.1.account_holder_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Account holder name","example":"John Doe","uniqueKey":"bank_transfer.oneOf.1.account_holder_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.1.account_holder_name","typeLabel":"string | null"}},"uniqueKey":"bank_transfer.oneOf.1","typeLabel":"object"},{"type":"object","description":"Deprecated - Use `BankTransfer` instead","required":["iban","country_code","account_number","bank_number"],"properties":{"iban":{"type":"string","description":"International Bank Account Number (iban) - used in many countries for identifying a bank along with it's customer.","example":"token_12345","isRequired":true,"uniqueKey":"bank_transfer.oneOf.2.iban","typeLabel":"string"},"country_code":{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW","US"],"isRequired":true,"uniqueKey":"bank_transfer.oneOf.2.country_code","typeLabel":"enum\u003cstring>"},"account_number":{"type":"string","description":"The account number, identifying the end-user's account in the bank.","example":"69706212","isRequired":true,"uniqueKey":"bank_transfer.oneOf.2.account_number","typeLabel":"string"},"bank_number":{"type":"string","description":"The bank number identifying the end-user's bank in the given clearing house.","example":"6112","isRequired":true,"uniqueKey":"bank_transfer.oneOf.2.bank_number","typeLabel":"string"}},"uniqueKey":"bank_transfer.oneOf.2","typeLabel":"object"},{"type":"object","description":"Deprecated - Use `BankTransfer` instead","required":["iban","bic"],"properties":{"iban":{"type":"string","description":"International Bank Account Number (iban) - used in many countries for identifying a bank along with it's customer.","example":"DE89370400440532013000","isRequired":true,"uniqueKey":"bank_transfer.oneOf.3.iban","typeLabel":"string"},"bic":{"type":"string","description":"[8 / 11 digits] Bank Identifier Code (bic) / Swift Code - used in many countries for identifying a bank and it's branches","example":"HSBCGB2LXXX","isRequired":true,"uniqueKey":"bank_transfer.oneOf.3.bic","typeLabel":"string"},"bank_name":{"oneOf":[{"type":"string","description":"Bank name","example":"Deutsche Bank","uniqueKey":"bank_transfer.oneOf.3.bank_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Bank name","example":"Deutsche Bank","uniqueKey":"bank_transfer.oneOf.3.bank_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.3.bank_name","typeLabel":"string | null"},"bank_country_code":{"oneOf":[{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW","US"],"uniqueKey":"bank_transfer.oneOf.3.bank_country_code.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"bank_transfer.oneOf.3.bank_country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.3.bank_country_code","typeLabel":"enum\u003cstring> | null"},"bank_city":{"oneOf":[{"type":"string","description":"Bank city","example":"California","uniqueKey":"bank_transfer.oneOf.3.bank_city.oneOf.0","typeLabel":"string"},{"type":"null","description":"Bank city","example":"California","uniqueKey":"bank_transfer.oneOf.3.bank_city.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.3.bank_city","typeLabel":"string | null"},"account_holder_name":{"oneOf":[{"type":"string","description":"Account holder name","example":"John Doe","uniqueKey":"bank_transfer.oneOf.3.account_holder_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Account holder name","example":"John Doe","uniqueKey":"bank_transfer.oneOf.3.account_holder_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.3.account_holder_name","typeLabel":"string | null"}},"uniqueKey":"bank_transfer.oneOf.3","typeLabel":"object"},{"type":"object","description":"Deprecated - Use `BankTransfer` instead","required":["bank_account_number","pix_key","emv"],"properties":{"bank_account_number":{"type":"string","description":"Bank account number is an unique identifier assigned by a bank to a customer.","example":"000123456","isRequired":true,"uniqueKey":"bank_transfer.oneOf.4.bank_account_number","typeLabel":"string"},"pix_key":{"type":"string","description":"Unique key for pix customer","example":"000123456","isRequired":true,"uniqueKey":"bank_transfer.oneOf.4.pix_key","typeLabel":"string"},"emv":{"type":"string","description":"String formatted QR code for pix payout","example":"00020126580014br.gov.bcb.pix0114000123456785204000053039865802BR5925John Doe6009Sao Paulo61080540900062070503***63041D3D","isRequired":true,"uniqueKey":"bank_transfer.oneOf.4.emv","typeLabel":"string"},"bank_name":{"oneOf":[{"type":"string","description":"Bank name","example":"Deutsche Bank","uniqueKey":"bank_transfer.oneOf.4.bank_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Bank name","example":"Deutsche Bank","uniqueKey":"bank_transfer.oneOf.4.bank_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.4.bank_name","typeLabel":"string | null"},"bank_branch":{"oneOf":[{"type":"string","description":"Bank branch","example":"3707","uniqueKey":"bank_transfer.oneOf.4.bank_branch.oneOf.0","typeLabel":"string"},{"type":"null","description":"Bank branch","example":"3707","uniqueKey":"bank_transfer.oneOf.4.bank_branch.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.4.bank_branch","typeLabel":"string | null"},"tax_id":{"oneOf":[{"type":"string","description":"Individual taxpayer identification number","example":"000123456","uniqueKey":"bank_transfer.oneOf.4.tax_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Individual taxpayer identification number","example":"000123456","uniqueKey":"bank_transfer.oneOf.4.tax_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.4.tax_id","typeLabel":"string | null"},"ispb":{"oneOf":[{"type":"string","description":"ispb code is a unique identifier assigned by Brazilian Central Bank to identify the financial institution of the recipient's bank account in Pix transactions.","example":"60701190","uniqueKey":"bank_transfer.oneOf.4.ispb.oneOf.0","typeLabel":"string"},{"type":"null","description":"ispb code is a unique identifier assigned by Brazilian Central Bank to identify the financial institution of the recipient's bank account in Pix transactions.","example":"60701190","uniqueKey":"bank_transfer.oneOf.4.ispb.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.4.ispb","typeLabel":"string | null"},"bank_code":{"oneOf":[{"type":"string","description":"3-digit COMPE/FEBRABAN bank code used to identify the financial institution for routing PIX payouts.","example":"033","uniqueKey":"bank_transfer.oneOf.4.bank_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"3-digit COMPE/FEBRABAN bank code used to identify the financial institution for routing PIX payouts.","example":"033","uniqueKey":"bank_transfer.oneOf.4.bank_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.4.bank_code","typeLabel":"string | null"},"bank_account_type":{"oneOf":[{"type":"string","enum":["checking","savings","salary","payment","transmission","current","bond","subscription_share"],"uniqueKey":"bank_transfer.oneOf.4.bank_account_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"bank_transfer.oneOf.4.bank_account_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.4.bank_account_type","typeLabel":"enum\u003cstring> | null"},"account_holder_name":{"oneOf":[{"type":"string","description":"Name of the account holder","example":"John Doe","uniqueKey":"bank_transfer.oneOf.4.account_holder_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the account holder","example":"John Doe","uniqueKey":"bank_transfer.oneOf.4.account_holder_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.4.account_holder_name","typeLabel":"string | null"}},"uniqueKey":"bank_transfer.oneOf.4","typeLabel":"object"},{"type":"object","description":"Deprecated - Use `BankTransfer` instead","required":["account_holder_name","iban"],"properties":{"account_holder_name":{"type":"string","description":"Account holder name","example":"John Doe","isRequired":true,"uniqueKey":"bank_transfer.oneOf.5.account_holder_name","typeLabel":"string"},"iban":{"type":"string","description":"International Bank Account Number (iban) - used in many countries for identifying a bank along with it's customer.","example":"DE89370400440532013000","isRequired":true,"uniqueKey":"bank_transfer.oneOf.5.iban","typeLabel":"string"}},"uniqueKey":"bank_transfer.oneOf.5","typeLabel":"object"},{"type":"object","description":"Deprecated - Use `BankTransfer` instead","required":["bank_account_number"],"properties":{"bank_account_number":{"type":"string","description":"Bank account number is a unique identifier assigned by a bank to a customer.","example":"1234567890","isRequired":true,"uniqueKey":"bank_transfer.oneOf.6.bank_account_number","typeLabel":"string"},"account_holder_name":{"oneOf":[{"type":"string","description":"Bank account holder name. Required for interbank transfers.","example":"John Doe","uniqueKey":"bank_transfer.oneOf.6.account_holder_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Bank account holder name. Required for interbank transfers.","example":"John Doe","uniqueKey":"bank_transfer.oneOf.6.account_holder_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.6.account_holder_name","typeLabel":"string | null"},"bank_name":{"oneOf":[{"type":"string","description":"Name of banks supported by Hyperswitch","enum":["absa","access_bank","african_bank","african_bank_business","albaraka","american_express","affin_bank","agro_bank","alliance_bank","am_bank","bank_of_america","bank_of_china","bank_islam","bank_muamalat","bank_rakyat","bank_simpanan_nasional","bank_zero","barclays","bidvest_bank","bidvest_bank_alliances","blik_p_s_p","capital_one","capitec","capitec_business","chase","china_construction_bank","citi","cimb_bank","discover","discovery","enl_bank","fbc_fidelity_bank","finbond_epe","finbond_mutual_bank","first_national_bank","gotyme_bank","habib_overseas","hbz_bank","investec","ithala","jp_morgan_chase","mtn_banking","nedbank","navy_federal_credit_union","olympus","old_mutual","peoples_bank_pep_bank","peoples_bank","permanent_bank","pentagon_federal_credit_union","societe_generale","standard_bank","state_bank_of_india","synchrony_bank","ubank","vbs_mutual_bank","wells_fargo","abn_amro","asn_bank","bunq","handelsbanken","hong_leong_bank","hsbc_bank","ing","knab","kuwait_finance_house","moneyou","rabobank","regiobank","revolut","sns_bank","triodos_bank","van_lanschot","arzte_und_apotheker_bank","austrian_anadi_bank_ag","bank_austria","bank99_ag","bankhaus_carl_spangler","bankhaus_schelhammer_und_schattera_ag","bank_millennium","bank_p_e_k_a_o_s_a","bawag_psk_ag","bks_bank_ag","brull_kallmus_bank_ag","btv_vier_lander_bank","capital_bank_grawe_gruppe_ag","ceska_sporitelna","dolomitenbank","easybank_ag","e_platby_v_u_b","erste_bank_und_sparkassen","friesland_bank","hypo_alpeadriabank_international_ag","hypo_noe_lb_fur_niederosterreich_u_wien","hypo_oberosterreich_salzburg_steiermark","hypo_tirol_bank_ag","hypo_vorarlberg_bank_ag","hypo_bank_burgenland_aktiengesellschaft","komercni_banka","m_bank","marchfelder_bank","maybank","oberbank_ag","osterreichische_arzte_und_apothekerbank","ocbc_bank","pay_with_i_n_g","place_z_i_p_k_o","platnosc_online_karta_platnicza","posojilnica_bank_e_gen","postova_banka","public_bank","raiffeisen_bankengruppe_osterreich","rhb_bank","schelhammer_capital_bank_ag","standard_chartered_bank","schoellerbank_ag","sparda_bank_wien","sporo_pay","santander_przelew24","tatra_pay","viamo","volksbank_gruppe","volkskreditbank_ag","vr_bank_braunau","uob_bank","pay_with_alior_bank","banki_spoldzielcze","pay_with_inteligo","b_n_p_paribas_poland","bank_nowy_s_a","credit_agricole","pay_with_b_o_s","pay_with_citi_handlowy","pay_with_plus_bank","toyota_bank","velo_bank","e_transfer_pocztowy24","plus_bank","etransfer_pocztowy24","banki_spbdzielcze","bank_nowy_bfg_sa","getin_bank","blik","noble_pay","idea_bank","envelo_bank","nest_przelew","mbank_mtransfer","inteligo","pbac_z_ipko","bnp_paribas","bank_pekao_sa","volkswagen_bank","alior_bank","boz","bangkok_bank","krungsri_bank","krung_thai_bank","the_siam_commercial_bank","kasikorn_bank","open_bank_success","open_bank_failure","open_bank_cancelled","aib","bank_of_scotland","danske_bank","first_direct","first_trust","halifax","lloyds","monzo","nat_west","nationwide_bank","royal_bank_of_scotland","starling","tsb_bank","tesco_bank","ulster_bank","yoursafe","n26","nationale_nederlanden","aib_business","aktia","alandsbanken","allianz_bank_financial_advisors_spa","allianz_banque","allied_irish_bank","allied_irish_bank_corporate","alto_adige","alto_adige_banca_suedtirol_bank","argenta","arkea_banque_entreprises_et_institutionnels","arkea_banque_privee","axa_banque","banca360_credito_cooperativo_fvg","banca_adria_colli_euganei","banca_agricola_popolare_di_ragusa","banca_alpi_marittime_cc_carru","banca_alta_toscana","banca_annia","banca_centro_emilia","banca_centro_lazio","banca_centro_toscana_umbria","banca_centropadana","banca_cesare_ponti","banca_del_catanzarese","banca_del_cilento_di_sassano_e_v","banca_del_piceno","banca_del_piemonte","banca_del_territorio_lombardo","banca_del_veneto_centrale","banca_della_marca_credcooperativo","banca_delle_terre_venete","banca_di_alba_credito_cooperativo","banca_di_anghiari_e_stia_cc","banca_di_bologna","banca_di_caraglio","banca_di_credito_popolare_scpa","banca_di_imola_spa","banca_di_pesaro","banca_di_pescia_e_cascina","banca_di_piacenza_scpa","banca_di_taranto_bcc","banca_di_udine_credito_coop","banca_don_rizzo","banca_fideuram","banca_finnat_euramerica_spa","banca_generali_spa","banca_lazio_nord","banca_malatestiana","banca_monte_dei_paschi_di_siena","banca_passadore","banca_patavina","banca_patrimoni_sella","banca_per_il_trentinoaltoadige","banca_popolare_del_lazio_scpa","banca_popolare_dell_alto_adige","banca_popolare_di_sondrio","banca_popolare_pugliese","banca_popolare_valconca_scpa","banca_san_francesco_credito_coop","banca_sella","banca_sistema_spa","banca_sviluppo_cooperaz_credito","banca_tema","banca_terre_etrusche_e_di_maremma","banca_territori_del_monviso","banca_valsabbina","banca_veronese_cc_di_concamarise","banco_azzoaglio","banco_bpm_spa_servizio_webank","banco_bpm_spa_servizio_youweb","banco_bpm_spa_youbusiness_web","banco_bpm_we_bank","banco_bpm_you_web","banco_de_sabadell","banco_desio_brianza","banco_di_sardegna","banco_marchigiano","banco_posta","banco_santander","bank_of_ireland","bank_of_ireland_business","bank_of_ireland_uk","bank_of_scotland_business","bankinter","banque_de_savoie","banque_populaire","barclaycard","barclays_business","bawag_psk","bbva","bcc_abruzzese_cappelle_sul_tavo","bcc_abruzzi_e_molise","bcc_adriatico_teramano","bcc_agro_bresciano","bcc_agro_pontino","bcc_alberobello_sammichele_monopoli","bcc_alto_tirreno_della_calabria","bcc_anagni","bcc_basilicata","bcc_bellegra","bcc_brescia","bcc_brianza_e_laghi","bcc_campania_centro","bcc_capaccio_paestum","bcc_castelli_romani_e_tuscolo","bcc_centro_calabria","bcc_conversano","bcc_degli_ulivi_terra_di_bari","bcc_dei_castelli_e_degli_iblei","bcc_dei_colli_albani","bcc_del_circeo_e_privernate","bcc_del_garda","bcc_del_metauro","bcc_del_velino","bcc_dell_alta_murgia","bcc_della_provincia_romana","bcc_della_romagna_occidentale","bcc_delle_madonie","bcc_di_altofonte_e_caccamo","bcc_di_aquara","bcc_di_arborea","bcc_di_bari","bcc_di_barlassina","bcc_di_bene_vagienna","bcc_di_binasco","bcc_di_buccino_e_comuni_cilentani","bcc_di_busto_garolfo_e_buguggiate","bcc_di_cagliari","bcc_di_canosa_loconia","bcc_di_caravaggio","bcc_di_cassano_delle_murge_e_tolve","bcc_di_cherasco","bcc_di_filottrano","bcc_di_flumeri","bcc_di_gambatesa","bcc_di_gaudiano_di_lavello","bcc_di_leverano","bcc_di_locorotondo","bcc_di_montepaone","bcc_di_napoli","bcc_di_ostra_e_morro_d_alba","bcc_di_ostuni","bcc_di_pachino","bcc_di_pergola_e_corinaldo","bcc_di_pianfei_e_rocca_de_baldi","bcc_di_pontassieve","bcc_di_recanati_e_colmurano","bcc_di_roma","bcc_di_san_giovanni_rotondo","bcc_di_san_marzano_di_san_giuseppe","bcc_di_santeramo_in_colle","bcc_di_sarsina","bcc_di_scafati_e_cetara","bcc_di_smarco_dei_cavoti","bcc_di_spello_e_del_velino","bcc_di_terra_d_otranto","bcc_felsinea","bcc_g_toniolo_di_san_cataldo","bcc_gran_sasso_d_italia","bcc_la_riscossa_di_regalbuto","bcc_lodi","bcc_milano","bcc_monte_pruno","bcc_nettuno","bcc_oglio_e_serio","bcc_pordenonese_e_monsile","bcc_pratola_peligna","bcc_prealpi_san_biagio","bcc_ravenna_forli_imola","bcc_san_giuseppe_di_mussomeli","bcc_terra_di_lavoro","bcc_triuggio_valle_del_lambro","bcc_valdarno_fiorentino","bcc_valdostana","bcc_valle_del_torto","bcc_veneta","bcc_venezia_giulia","bcc_versilia_lunigiana_e_garfagnana","bcc_vicentino_pojana_maggiore","belfius","beobank","bi_banca","blu_banca_spa","bnl","bnp_paribas_fortis","bourso_bank","bozen","bpe","bper_banca","bvr_banca_banche_venete_riunite","caisse_d_epargne","caixa","caja_rural","cajamar","cassa_centrale_banca","cassa_di_risparmio_di_bolzano","cassa_di_risparmio_di_fermo_spa","cassa_di_risparmio_di_savigliano","cassa_padana","cassa_rurale_alta_valsugana","cassa_rurale_alto_garda_rovereto","cassa_rurale_di_ledro","cassa_rurale_di_treviglio","cassa_rurale_fvg","cassa_rurale_renon","cassa_rurale_val_di_fiemme","cassa_rurale_val_di_sole","cassa_rurale_vallagarina","cassa_rurale_valsugana_e_tesino","castagneto_banca1910","cbc_banque","centromarca_banca","chiantibanca_credito_cooperativo","cic","clydesdale_bank","comdirect","commerzbank","cortinabanca","coutts","cr_val_di_non_rotaliana_e_giovo","cra_bcc_di_cantu","cra_di_borgo_san_giacomo","cra_di_boves","cra_di_paliano","credem","credifriuli","credit_mutuel","credit_mutuel_de_bretagne","credit_mutuel_du_sud_ouest","credito_cooperativo_agrigentino","credito_cooperativo_mediocrati","credito_cooperativo_romagnolo","credito_di_romagna","credito_lombardo_veneto","danske_bank_business","desio","deutsche_bank","dkb","easy_bank","ebs","emilbanca_cc","erste_bank","evo_banco","fineco","fintro","fortuneo","fpb_cassa_di_fassa_primiero_belluno","hello_bank","hsbc","hsbc_business","hype","hypo_vereinsbank","ibercaja","iccrea_banca_spa","illimity","imagin","imprebanca_spa","intesa_sanpaolo","intesa_sanpaolo_inbiz","intesa_sanpaolo_private_banking_spa","isybank","kbc","kbc_brussels","kutxabank","la_banque_postale","la_banque_postale_business","la_cassa_di_ravenna_spa","la_cassa_rurale","laboral_kutxa","lcl","lis_pay_spa","lloyds_business","lloyds_commercial","m_s_bank","mbna","mettle_bank","monabanq","mooney","mps","nat_west_bankline","nationwide","nordea","oma_sp","op","openbank","pop_pankki","post_bank","poste_pay_evolution","primacassa_fvg","ptsb","raiffeisen_algund","raiffeisen_alta_pusteria","raiffeisen_alta_venosta","raiffeisen_alto_adige","raiffeisen_bassa_atesina","raiffeisen_bassa_valle_isarco","raiffeisen_bassa_venosta","raiffeisen_bolzano","raiffeisen_bozen","raiffeisen_bruneck","raiffeisen_brunico","raiffeisen_campo_di_trens","raiffeisen_cassa_centr_alto_adige","raiffeisen_castelrottoortisei","raiffeisen_deutschnofenaldein","raiffeisen_dobbiaco","raiffeisen_eisacktal","raiffeisen_etschtal","raiffeisen_freienfeld","raiffeisen_funes","raiffeisen_gadertal","raiffeisen_groeden","raiffeisen_hochpustertal","raiffeisen_kastelruthstulrich","raiffeisen_laas","raiffeisen_laces","raiffeisen_lagundo","raiffeisen_lana","raiffeisen_landesbank_suedtirol","raiffeisen_lasa","raiffeisen_latsch","raiffeisen_marlengo","raiffeisen_marling","raiffeisen_meran","raiffeisen_merano","raiffeisen_monguelfocasiestesido","raiffeisen_niederdorf","raiffeisenbank","royal_bank_of_scotland_bankline","s_pankki","saastopankki","santander","santander_business","santander_personal","sparkasse","targo_bank","tide","triodos","tsb","ulster_bankline","unicaja","virgin_money","virgin_money_merged","volksbanken_raiffeisenbanken","wise","yorkshire_bank","zempler","raiffeisen_nova_levante","raiffeisen_nova_ponentealdino","raiffeisen_obervinschgau","raiffeisen_oltradige","raiffeisen_parcines","raiffeisen_partschins","raiffeisen_passeier","raiffeisen_pradtaufers","raiffeisen_pratotubre","raiffeisen_salorno","raiffeisen_salurn","raiffeisen_san_martino_in_passiria","raiffeisen_sarntal","raiffeisen_scena","raiffeisen_schenna","raiffeisen_schlanders","raiffeisen_schlernrosengarten","raiffeisen_silandro","raiffeisen_suedtirol","raiffeisen_taufererahrntal","raiffeisen_tesimo","raiffeisen_tirol","raiffeisen_tirolo","raiffeisen_tisens","raiffeisen_toblach","raiffeisen_turesaurina","raiffeisen_ueberetsch","raiffeisen_ultenstpankrazlaurein","raiffeisen_ultimospancrlaur","raiffeisen_untereisacktal","raiffeisen_unterland","raiffeisen_untervinschgau","raiffeisen_val_badia","raiffeisen_val_gardena","raiffeisen_val_passiria","raiffeisen_val_sarentino","raiffeisen_valle_isarco","raiffeisen_vandoies","raiffeisen_villabassa","raiffeisen_villnoess","raiffeisen_vintl","raiffeisen_welsberggsiestaisten","raiffeisen_welschnofen","raiffeisen_wipptal","raiffeisenkasse_ritten","riviera_banca","romagna_banca","sella","sicilbanca","solution_bank","suedtiroler","suedtiroler_sparkasse","suedtiroler_volksbank","unicredit","unicredit_online_banking","unicredit_uniweb_corporate","valpolicella_benaco_banca","volksbank","volksbank_banca_popolare","widiba","zkb_credcoopdi_trieste_e_gorizia","asn","sns","seb","swedbank","mock_uk_payments","abanca","alm_brand","alpha_fx","arbejdernes_landsbank","arbuthnot_latham","banco_popular","bank_pocztowy","bankia","bn_bank","cater_allen","chelsea_building_society","citadele","coop_pank","cooperative_bank","cumberland","dab_bank","djurslands_bank","dnb","etne_sparebank","fana_sparebank","fidor_bank","flekkefjord_sparebank","forex_bank","haugesund_sparebank","hoare_and_co","ica_banken","jyske_bank","kleinwort_hambros","klp_banken","kreditbanken","landkreditt_bank","lansforsakringar","lhv_pank","lillesands_sparebank","luminor","luster_sparebank","metro_bank","nordfyns_bank","nordjyske_bank","norisbank","nykredit_bank","obos_banken","orange_finanse","pareto_bank","pko_bank_polski","ringkjobing_landbobank","sbanken","siauliu_bankas","silicon_valley_bank","skandiabanken","skjern_bank","skudenes_og_aakra_sparebank","sogne_og_greipstad_sparebank","spar_nord_bank","sparbanken_syd","sparda_bank","spare_bank1","sparebanken_more","sparebanken_ost","sparebanken_sogn_og_fjordane","sparebanken_sor","sparebanken_vest","sparekassen_danmark","sparekassen_sjaelland_fyn","spareskillingsbanken","sydbank","vanquis_bank","vestjysk_bank","voss_sparebank","yorkshire_building_society","spare_bank1_gudbrandsdal","spare_bank1_hallingdal_valdres","spare_bank1_lom_og_skjak","spare_bank1_modum","spare_bank1_nordmore","spare_bank1_ringerike_hadeland","spare_bank1_smn","spare_bank1_sr_bank","spare_bank1_sore_sunnmore","spare_bank1_sorost_norge_bv","spare_bank1_sorost_norge_telemark","spare_bank1_ostfold_akershus","spare_bank1_ostlandet","citi_handlowy","deutsche_bank_polska","ing_bank_slaski","ing_diba","nordea_direct","santander_uk","swedbank_sparbankerna"],"uniqueKey":"bank_transfer.oneOf.6.bank_name.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"bank_transfer.oneOf.6.bank_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.6.bank_name","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"bank_transfer.oneOf.6","typeLabel":"object"},{"type":"object","description":"Deprecated - Use `BankTransfer` instead","properties":{"cellphone":{"oneOf":[{"type":"string","description":"Cellphone proxy. Required when proxy_type is cellphone.","example":"+27821234567","uniqueKey":"bank_transfer.oneOf.7.cellphone.oneOf.0","typeLabel":"string"},{"type":"null","description":"Cellphone proxy. Required when proxy_type is cellphone.","example":"+27821234567","uniqueKey":"bank_transfer.oneOf.7.cellphone.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.7.cellphone","typeLabel":"string | null"},"shap_id":{"oneOf":[{"type":"string","description":"Shap ID proxy. Required when proxy_type is shap_id.","example":"21e3123","uniqueKey":"bank_transfer.oneOf.7.shap_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Shap ID proxy. Required when proxy_type is shap_id.","example":"21e3123","uniqueKey":"bank_transfer.oneOf.7.shap_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"bank_transfer.oneOf.7.shap_id","typeLabel":"string | null"}},"uniqueKey":"bank_transfer.oneOf.7","typeLabel":"object"},{"type":"null","uniqueKey":"bank_transfer.oneOf.8","typeLabel":"null"}],"uniqueKey":"bank_transfer","typeLabel":"object · object · object · object · object · object · object · object · null"},"last_used_at":{"oneOf":[{"type":"string","format":"date-time","example":"2024-02-24T11:04:09.922Z","uniqueKey":"last_used_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","example":"2024-02-24T11:04:09.922Z","uniqueKey":"last_used_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"last_used_at","typeLabel":"string\u003cdate-time> | null"},"client_secret":{"oneOf":[{"type":"string","description":"For Client based calls","uniqueKey":"client_secret.oneOf.0","typeLabel":"string"},{"type":"null","description":"For Client based calls","uniqueKey":"client_secret.oneOf.1","typeLabel":"null"}],"uniqueKey":"client_secret","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"merchant_id":"merchant_1671528864","payment_method_id":"card_rGK4Vi5iSW70MY7J2mIg","payment_method":"card","customer_id":"cus_y3oqhf46pyzuxjbcn2giaqnb44","payment_method_type":"ach","card":{"saved_to_locker":true,"scheme":"\u003cstring>","issuer_country":"\u003cstring>","issuer_country_code":"\u003cstring>","last4_digits":"\u003cstring>","expiry_month":"\u003cstring>","expiry_year":"\u003cstring>","card_token":"\u003cstring>","card_holder_name":"\u003cstring>","card_fingerprint":"\u003cstring>","nick_name":"\u003cstring>","card_network":"Visa","card_isin":"\u003cstring>","card_issuer":"\u003cstring>","card_type":"\u003cstring>","card_subtype":"\u003cstring>","card_segment_type":"business","funding_source":"CREDIT"},"recurring_enabled":true,"installment_payment_enabled":true,"payment_experience":["redirect_to_url"],"metadata":{},"created":"2023-01-18T11:04:09.922Z","bank_transfer":{"bank_account_number":"000123456","bank_routing_number":"110000000","bank_name":"Deutsche Bank","bank_country_code":"AF","bank_city":"California","account_holder_name":"John Doe"},"last_used_at":"2024-02-24T11:04:09.922Z","client_secret":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"fff10907-edaf-4937-a641-ef521359628d":{"description":"Payment Method does not exist in records","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"cfe6b3ff-1809-462b-8829-cd17e4569f4e":{"api_key":{"type":"apiKey","in":"header","name":"api-key","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","scopes":[],"schemeName":"api_key"}},"5dbbc6f5-00c6-47aa-92b9-a5f38c5c7afc":{"publishable_key":{"type":"apiKey","in":"header","name":"api-key","description":"Publishable keys are a type of keys that can be public and have limited scope of usage.","scopes":[],"schemeName":"publishable_key"}}},"servers":{"f61470cd-dcf1-4ff9-8d18-5ea2fd311348":{"url":"https://sandbox.hyperswitch.io","description":"Sandbox Environment"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"api-key","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","scopes":[],"schemeName":"api_key"},"schema":{"title":"api-key","type":"string","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"api_key","name":"api-key"}],"title":"api_key"},{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"api-key","description":"Publishable keys are a type of keys that can be public and have limited scope of usage.","scopes":[],"schemeName":"publishable_key"},"schema":{"title":"api-key","type":"string","description":"Publishable keys are a type of keys that can be public and have limited scope of usage.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"publishable_key","name":"api-key"}],"title":"publishable_key"}]},"originalFileLocation":"v1/openapi_spec_v1.json"},"subdomain":"docs.transactlyltd.com","siteName":"Hyperswitch","title":"Payment Method - Update - Hyperswitch","navMaps":{"firstHrefInVersion":{"1.0.0":{"href":"/v1/payment-methods/payment-method--update","matchLevel":0},"2.0.0 [BETA]":{"href":"/v2/payment-methods/payment-method--update","matchLevel":1}},"firstHrefInLanguage":{}},"originalFileLocation":"v1/payment-methods/payment-method--update.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Update an existing payment method of a customer. This API is useful for use cases such as updating the card number for expired cards to prevent discontinuity in recurring payments.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Hyperswitch\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/favicons/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/favicons/favicon-32x32.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/favicons/favicon-16x16.png\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/favicons/favicon.ico\">\u003cmeta data-mint-head property=\"og:title\" content=\"Payment Method - Update - Hyperswitch\">\u003cmeta data-mint-head property=\"og:description\" content=\"Update an existing payment method of a customer. This API is useful for use cases such as updating the card number for expired cards to prevent discontinuity in recurring payments.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Hyperswitch\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://local./v1/payment-methods/payment-method--update\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"http://docs.transactlyltd.com/_mintlify/og/v1/payment-methods/payment-method--update.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Payment Method - Update - Hyperswitch\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Update an existing payment method of a customer. This API is useful for use cases such as updating the card number for expired cards to prevent discontinuity in recurring payments.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"http://docs.transactlyltd.com/_mintlify/og/v1/payment-methods/payment-method--update.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/favicons/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Hyperswitch\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#4F8EFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://local./v1/payment-methods/payment-method--update\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/v1/payment-methods/payment-method--update.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Hyperswitch\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Hyperswitch","nav":{"tabs":[{"tab":"Documentation","versions":[{"version":"1.0.0","groups":[{"group":"Get Started","pages":[{"title":"👋 Welcome to Hyperswitch API Reference","sidebarTitle":"Introduction","icon":"rectangle-code","iconType":"solid","href":"/introduction"}]},{"group":"Essentials","pages":[{"title":"Authentication Types","href":"/essentials/authentication"},{"title":"Error Codes","href":"/essentials/error_codes"},{"title":"Rate Limits","href":"/essentials/rate_limit"},{"title":"Go-live Checklist","href":"/essentials/go-live"}]},{"group":"Payments Core APIs","pages":[{"title":"Setup instructions","sidebarTitle":"Setup Instructions","icon":"flag","iconType":"solid","href":"/v1/payments/setup--instructions"},{"title":"Payment flows","sidebarTitle":"Payment Flows","icon":"arrows-retweet","iconType":"solid","href":"/v1/payments/payment--flows"},{"group":"Payments","pages":[{"title":"Payments - Create","openapi":"post /payments","href":"/v1/payments/payments--create"},{"title":"Payments - Update","openapi":"post /payments/{payment_id}","href":"/v1/payments/payments--update"},{"title":"Payments - Confirm","openapi":"post /payments/{payment_id}/confirm","href":"/v1/payments/payments--confirm"},{"title":"Payments - Retrieve","openapi":"get /payments/{payment_id}","href":"/v1/payments/payments--retrieve"},{"title":"Payments - Cancel","openapi":"post /payments/{payment_id}/cancel","href":"/v1/payments/payments--cancel"},{"title":"Payments - Cancel Post Capture","openapi":"post /payments/{payment_id}/cancel_post_capture","href":"/v1/payments/payments--cancel-post-capture"},{"title":"Payments - Cancel Post Capture Retrieve","openapi":"get /payments/{payment_id}/cancel_post_capture","href":"/v1/payments/payments--cancel-post-capture-retrieve"},{"title":"Payments - Capture","openapi":"post /payments/{payment_id}/capture","href":"/v1/payments/payments--capture"},{"title":"Payments - Incremental Authorization","openapi":"post /payments/{payment_id}/incremental_authorization","href":"/v1/payments/payments--incremental-authorization"},{"title":"Payments - Extended Authorization","openapi":"post /payments/{payment_id}/extend_authorization","href":"/v1/payments/payments--extend-authorization"},{"title":"Payments - Session token","openapi":"post /payments/session_tokens","href":"/v1/payments/payments--session-token"},{"title":"Payments Link - Retrieve","openapi":"get /payment_link/{payment_link_id}","href":"/v1/payments/payments-link--retrieve"},{"title":"Payments - List","openapi":"get /payments/list","href":"/v1/payments/payments--list"},{"title":"Payments - External 3DS Authentication","openapi":"post /payments/{payment_id}/3ds/authentication","href":"/v1/payments/payments--external-3ds-authentication"},{"title":"Payments complete authorize","openapi":"post /{payment_id}/complete_authorize","href":"/v1/payments/payments--complete-authorize"},{"title":"Payments - Update Metadata","openapi":"post /payments/{payment_id}/update_metadata","href":"/v1/payments/payments--update-metadata"},{"title":"Payments - Submit Eligibility Data","openapi":"post /payments/{payment_id}/eligibility","href":"/v1/payments/payments--submit-eligibility-data"}]},{"group":"Payment Methods","pages":[{"title":"Payment Method - Create","openapi":"post /v1/payment-methods","href":"/v2/payment-methods/payment-method--create-v1"},{"title":"Payment method retrieve v1","openapi":"get /v1/payment-methods/{id}","href":"/v2/payment-methods/payment-method--retrieve-v1"},{"title":"Payment Method - Update","openapi":"put /v1/payment-methods/{id}/update-saved-payment-method","href":"/v2/payment-methods/payment-method--update-v1"},{"title":"Payment Method - Delete","openapi":"delete /v1/payment-methods/{id}","href":"/v2/payment-methods/payment-method--delete-v1"},{"title":"Payment Method - List Customer Saved Payment Methods","openapi":"get /v1/customers/{id}/saved-payment-methods","href":"/v2/payment-methods/payment-method--list-customer-saved-payment-methods-v1"},{"title":"Payment Method - Get Payment Method Token Data","openapi":"get /v1/payment-methods/token/{payment_method_temporary_token}/details","href":"/v2/payment-methods/payment-method--payment-method-token-to-payment-method-id-v1"},{"title":"Payment Method - Set Default Payment Method for Customer","openapi":"post /v1/{customer_id}/payment-methods/{payment_method_id}/default","href":"/v2/payment-methods/payment-method--set-default-payment-method-for-customer-v1"},{"title":"List payment methods for a Payment","openapi":"get /payments/{payment_id}/client","href":"/v1/payment-methods/list-payment-methods-for-a-payment-via-client-sdk"}]},{"group":"Customers","pages":[{"title":"Customers - Create","openapi":"post /v1/customers","href":"/v2/customers/customers--create-v1"},{"title":"Customers - Retrieve","openapi":"get /v1/customers/{id}","href":"/v2/customers/customers--retrieve-v1"},{"title":"Customers - Retrieve using Merchant Reference ID","openapi":"get /v1/customers/reference/{merchant_reference_id}","href":"/v1/customers/customers--retrieve-by-merchant-reference-id"},{"title":"Customers - Update","openapi":"put /v1/customers/{id}","href":"/v2/customers/customers--update-v1"},{"title":"Customers - Delete","openapi":"delete /v1/customers/{id}","href":"/v2/customers/customers--delete-v1"},{"title":"Customers - List","openapi":"get /v1/customers/list","href":"/v2/customers/customers--list-v1"}]},{"group":"Proxy","pages":[{"title":"Proxy","openapi":"post /v1/proxy","href":"/v2/proxy/proxy-v1"}]},{"group":"Payment Method Session","pages":[{"title":"Payment Method Session - Create","openapi":"post /v1/payment-method-sessions","href":"/v2/payment-method-session/payment-method-session--create-v1"},{"title":"Payment Method Session - Retrieve","openapi":"get /v1/payment-method-sessions/{id}","href":"/v2/payment-method-session/payment-method-session--retrieve-v1"},{"title":"Payment Method Session - List Payment Methods","openapi":"get /v1/payment-method-sessions/{id}/list-payment-methods","href":"/v2/payment-method-session/payment-method-session--list-payment-methods-v1"},{"title":"Payment Method Session - Update a saved payment method","openapi":"put /v1/payment-method-sessions/{id}/update-saved-payment-method","href":"/v2/payment-method-session/payment-method-session--update-a-saved-payment-method-v1"},{"title":"Payment Method Session - Confirm a payment method session","openapi":"post /v1/payment-method-sessions/{id}/confirm","href":"/v2/payment-method-session/payment-method-session--confirm-a-payment-method-session-v1"},{"title":"Payment Method Session - Delete a saved payment method","openapi":"delete /v1/payment-method-sessions/{id}","href":"/v2/payment-method-session/payment-method-session--delete-a-saved-payment-method-v1"}]},{"group":"Refunds","pages":[{"title":"Refunds - Create","openapi":"post /refunds","href":"/v1/refunds/refunds--create"},{"title":"Refunds - Update","openapi":"post /refunds/{refund_id}","href":"/v1/refunds/refunds--update"},{"title":"Refunds - Retrieve","openapi":"get /refunds/{refund_id}","href":"/v1/refunds/refunds--retrieve"},{"title":"Refunds - List","openapi":"post /refunds/list","href":"/v1/refunds/refunds--list"}]},{"group":"Disputes","pages":[{"title":"Disputes - Retrieve Dispute","openapi":"get /disputes/{dispute_id}","href":"/v1/disputes/disputes--retrieve"},{"title":"Disputes - List Disputes","openapi":"get /disputes/list","href":"/v1/disputes/disputes--list"},{"title":"Disputes - List Disputes for The Given Profiles","openapi":"get /disputes/profile/list","href":"/v1/disputes/disputes--list-profiles"},{"title":"Disputes - Accept Dispute","openapi":"post /disputes/accept/{dispute_id}","href":"/v1/disputes/disputes--accept"},{"title":"Disputes - Uploads Dispute Evidence","openapi":"post /disputes/evidence","href":"/v1/disputes/disputes--submit-evidence"},{"title":"Disputes - Attach Evidence to Dispute","openapi":"put /disputes/evidence","href":"/v1/disputes/disputes--attach-evidence"},{"title":"Disputes - Retrieve Dispute Evidence","openapi":"get /disputes/evidence/{dispute_id}","href":"/v1/disputes/disputes--retrieve-evidence"},{"title":"Disputes - Delete Evidence attached to a Dispute","openapi":"delete /disputes/evidence","href":"/v1/disputes/disputes--delete-evidence"},{"title":"Disputes - Get Disputes Aggregate","openapi":"get /disputes/aggregate","href":"/v1/disputes/disputes--get-aggregate"},{"title":"Disputes - Get Disputes Aggregate for Profiles","openapi":"get /disputes/profile/aggregate","href":"/v1/disputes/disputes--get-aggregate-profiles"},{"title":"Disputes - Disputes Filters","openapi":"get /disputes/filter","href":"/v1/disputes/disputes--get-filters"},{"title":"Disputes - Disputes Filters Profile","openapi":"get /disputes/profile/filter","href":"/v1/disputes/disputes--get-filters-profiles"}]},{"group":"Authentication","pages":[{"title":"Authentication - Create","openapi":"post /authentication","href":"/v1/authentication/authentication--create"},{"title":"Authentication - POST Eligibility Check","openapi":"post /authentication/{authentication_id}/eligibility-check","href":"/v1/authentication/authentication--post-eligibility-check"},{"title":"Authentication - GET Eligibility Check","openapi":"get /authentication/{authentication_id}/eligibility-check","href":"/v1/authentication/authentication--get-eligibility-check"}]},{"group":"Payouts","pages":[{"title":"Payouts - Create","openapi":"post /payouts/create","href":"/v1/payouts/payouts--create"},{"title":"Payouts - Update","openapi":"post /payouts/{payout_id}","href":"/v1/payouts/payouts--update"},{"title":"Payouts - Cancel","openapi":"post /payouts/{payout_id}/cancel","href":"/v1/payouts/payouts--cancel"},{"title":"Payouts - Fulfill","openapi":"post /payouts/{payout_id}/fulfill","href":"/v1/payouts/payouts--fulfill"},{"title":"Payouts - Confirm","openapi":"post /payouts/{payout_id}/confirm","href":"/v1/payouts/payouts--confirm"},{"title":"Payouts - Retrieve","openapi":"get /payouts/{payout_id}","href":"/v1/payouts/payouts--retrieve"},{"title":"Payouts - List","openapi":"get /payouts/list","href":"/v1/payouts/payouts--list"},{"title":"Payouts - List available filters","openapi":"post /payouts/filter","href":"/v1/payouts/payouts--list-filters"},{"title":"Payouts - List using filters","openapi":"post /payouts/list","href":"/v1/payouts/payouts--filter"}]}]},{"group":"Deprecated APIs","pages":[{"group":"Mandates","pages":[{"title":"Mandates - Revoke Mandate","openapi":"post /mandates/revoke/{mandate_id}","href":"/v1/mandates/mandates--revoke-mandate"},{"title":"Mandates - Retrieve Mandate","openapi":"get /mandates/{mandate_id}","href":"/v1/mandates/mandates--retrieve-mandate"},{"title":"Mandates customer mandates list","openapi":"post /customers/{customer_id}/mandates","href":"/v1/mandates/mandates--customer-mandates-list"}]},{"group":"Customers","pages":[{"title":"Customers - Create","openapi":"post /customers","href":"/v1/customers/customers--create"},{"title":"Customers - Retrieve","openapi":"get /customers/{customer_id}","href":"/v1/customers/customers--retrieve"},{"title":"Customers - Update","openapi":"post /customers/{customer_id}","href":"/v1/customers/customers--update"},{"title":"Customers - Delete","openapi":"delete /customers/{customer_id}","href":"/v1/customers/customers--delete"},{"title":"Customers - List","openapi":"get /customers/list","href":"/v1/customers/customers--list"}]},{"group":"Payment Methods","pages":[{"title":"PaymentMethods - Create","openapi":"post /payment_methods","href":"/v1/payment-methods/paymentmethods--create"},{"title":"Payment Method - Retrieve","description":"Retrieves a payment method of a customer.","openapi":"get /payment_methods/{method_id}","href":"/v1/payment-methods/payment-method--retrieve"},{"title":"Payment Method - Update","openapi":"post /payment_methods/{method_id}/update","href":"/v1/payment-methods/payment-method--update"},{"title":"Payment Method - Delete","description":"Deletes a payment method of a customer.","openapi":"delete /payment_methods/{method_id}","href":"/v1/payment-methods/payment-method--delete"},{"title":"Payment Method - Set Default Payment Method for Customer","openapi":"post /{customer_id}/payment_methods/{payment_method_id}/default","href":"/v1/payment-methods/payment-method--set-default-payment-method-for-customer"},{"title":"List payment methods for a Merchant","openapi":"get /account/payment_methods","href":"/v1/payment-methods/list-payment-methods-for-a-merchant"},{"title":"List customer saved payment methods for a Payment","openapi":"get /customers/payment_methods","href":"/v1/payment-methods/list-customer-saved-payment-methods-for-a-payment"},{"title":"List payment methods for a Customer","openapi":"get /customers/{customer_id}/payment_methods","href":"/v1/payment-methods/list-payment-methods-for-a-customer"},{"title":"Payment Method - Set Default Payment Method for Customer","openapi":"post /{customer_id}/payment_methods/{payment_method_id}/default","href":"/v1/customer-set-default-payment-method/customers--set-default-payment-method"}]}]},{"group":"Account management APIs","pages":[{"group":"Organization","pages":[{"title":"Organization - Create","openapi":"post /organization","href":"/v1/organization/organization--create"},{"title":"Organization - Retrieve","openapi":"get /organization/{id}","href":"/v1/organization/organization--retrieve"},{"title":"Organization - Update","openapi":"put /organization/{id}","href":"/v1/organization/organization--update"}]},{"group":"Merchant Account","pages":[{"title":"Merchant Account - Create","openapi":"post /accounts","href":"/v1/merchant-account/merchant-account--create"},{"title":"Merchant Account - Retrieve","openapi":"get /accounts/{account_id}","href":"/v1/merchant-account/merchant-account--retrieve"},{"title":"Merchant Account - Update","openapi":"post /accounts/{account_id}","href":"/v1/merchant-account/merchant-account--update"},{"title":"Merchant Account - Delete","openapi":"delete /accounts/{account_id}","href":"/v1/merchant-account/merchant-account--delete"},{"title":"Merchant Account - KV Status","openapi":"post /accounts/{account_id}/kv","href":"/v1/merchant-account/merchant-account--kv-status"}]},{"group":"Business Profile","pages":[{"title":"Profile - Create","openapi":"post /account/{account_id}/business_profile","href":"/v1/business-profile/business-profile--create"},{"title":"Profile - Update","openapi":"post /account/{account_id}/business_profile/{profile_id}","href":"/v1/business-profile/business-profile--update"},{"title":"Profile - Retrieve","openapi":"get /account/{account_id}/business_profile/{profile_id}","href":"/v1/business-profile/business-profile--retrieve"},{"title":"Profile - Delete","openapi":"delete /account/{account_id}/business_profile/{profile_id}","href":"/v1/business-profile/business-profile--delete"},{"title":"Profile - List","openapi":"get /account/{account_id}/business_profile","href":"/v1/business-profile/business-profile--list"}]},{"group":"Platform Account","pages":[{"title":"Platform - Create","openapi":"post /user/create_platform","href":"/v1/platform/platform--create"}]},{"group":"API Key","pages":[{"title":"API Key - Create","openapi":"post /api_keys/{merchant_id}","href":"/v1/api-key/api-key--create"},{"title":"API Key - Retrieve","openapi":"get /api_keys/{merchant_id}/{key_id}","href":"/v1/api-key/api-key--retrieve"},{"title":"API Key - Update","openapi":"post /api_keys/{merchant_id}/{key_id}","href":"/v1/api-key/api-key--update"},{"title":"API Key - Revoke","openapi":"delete /api_keys/{merchant_id}/{key_id}","href":"/v1/api-key/api-key--revoke"},{"title":"API Key - List","openapi":"get /api_keys/{merchant_id}/list","href":"/v1/api-key/api-key--list"}]},{"group":"Merchant Connector Account","pages":[{"title":"Merchant Connector - Create","openapi":"post /account/{account_id}/connectors","href":"/v1/merchant-connector-account/merchant-connector--create"},{"title":"Merchant Connector - Retrieve","openapi":"get /account/{account_id}/connectors/{merchant_connector_id}","href":"/v1/merchant-connector-account/merchant-connector--retrieve"},{"title":"Merchant Connector - Update","openapi":"post /account/{account_id}/connectors/{merchant_connector_id}","href":"/v1/merchant-connector-account/merchant-connector--update"},{"title":"Merchant Connector - Delete","openapi":"delete /account/{account_id}/connectors/{merchant_connector_id}","href":"/v1/merchant-connector-account/merchant-connector--delete"},{"title":"Merchant Connector - List","openapi":"get /account/{account_id}/connectors","href":"/v1/merchant-connector-account/merchant-connector--list"}]},{"group":"GSM (Global Status Mapping)","pages":[{"title":"Gsm - Create","openapi":"post /gsm","href":"/v1/gsm/gsm--create"},{"title":"Gsm - Get","openapi":"post /gsm/get","href":"/v1/gsm/gsm--get"},{"title":"Gsm - Update","openapi":"post /gsm/update","href":"/v1/gsm/gsm--update"},{"title":"Gsm - Delete","openapi":"post /gsm/delete","href":"/v1/gsm/gsm--delete"}]}]},{"group":"Other APIs","pages":[{"group":"Event","pages":[{"title":"Events - List","openapi":"post /events/{merchant_id}","href":"/v1/event/events--list"},{"title":"Events - Delivery Attempt List","openapi":"get /events/{merchant_id}/{event_id}/attempts","href":"/v1/event/events--delivery-attempt-list"},{"title":"Events - Manual Retry","openapi":"post /events/{merchant_id}/{event_id}/retry","href":"/v1/event/events--manual-retry"}]},{"group":"Poll","pages":[{"title":"Poll - Retrieve Poll Status","openapi":"get /poll/status/{poll_id}","href":"/v1/poll/poll--retrieve-poll-status"}]},{"group":"Blocklist","pages":[{"title":"Get blocklist","openapi":"get /blocklist","href":"/v1/blocklist/get-blocklist"},{"title":"Post blocklist","openapi":"post /blocklist","href":"/v1/blocklist/post-blocklist"},{"title":"Delete blocklist","openapi":"delete /blocklist","href":"/v1/blocklist/delete-blocklist"},{"title":"Post blocklisttoggle","openapi":"post /blocklist/toggle","href":"/v1/blocklist/post-blocklisttoggle"},{"title":"Blocklist count","openapi":"get /blocklist/count","href":"/v1/blocklist/blocklist--count"},{"title":"Blocklist lookup","openapi":"get /blocklist/lookup","href":"/v1/blocklist/blocklist--lookup"},{"title":"Blocklist batch upload","openapi":"post /blocklist/batch","href":"/v1/blocklist/blocklist--batch-upload"},{"title":"Blocklist batch list","openapi":"get /blocklist/batch","href":"/v1/blocklist/blocklist--batch-list"},{"title":"Blocklist batch status","openapi":"get /blocklist/batch/{job_id}","href":"/v1/blocklist/blocklist--batch-status"},{"title":"Blocklist export create","openapi":"post /blocklist/export","href":"/v1/blocklist/blocklist--export-create"},{"title":"Blocklist - Clone Entries","openapi":"post /blocklist/clone","href":"/v1/blocklist/blocklist--clone"}]},{"group":"Routing","pages":[{"title":"Routing - List","openapi":"get /routing","href":"/v1/routing/routing--list"},{"title":"Routing - Create","openapi":"post /routing","href":"/v1/routing/routing--create"},{"title":"Routing - Auth Rate Based","openapi":"post /account/{account_id}/business_profile/{profile_id}/dynamic_routing/success_based/create","href":"/v1/routing/routing--success-based"},{"title":"Routing - Elimination","openapi":"post /account/{account_id}/business_profile/{profile_id}/dynamic_routing/elimination/create","href":"/v1/routing/routing--elimination"},{"title":"Routing - Retrieve Config","openapi":"get /routing/active","href":"/v1/routing/routing--retrieve-config"},{"title":"Routing - Deactivate","openapi":"post /routing/deactivate","href":"/v1/routing/routing--deactivate"},{"title":"Routing - Retrieve Default Config","openapi":"get /routing/default","href":"/v1/routing/routing--retrieve-default-config"},{"title":"Routing - Update Default Config","openapi":"post /routing/default","href":"/v1/routing/routing--update-default-config"},{"title":"Routing - Retrieve Default For Profile","openapi":"get /routing/default/profile","href":"/v1/routing/routing--retrieve-default-for-profile"},{"title":"Routing - Update Default For Profile","openapi":"post /routing/default/profile/{profile_id}","href":"/v1/routing/routing--update-default-for-profile"},{"title":"Routing - Retrieve","openapi":"get /routing/{routing_algorithm_id}","href":"/v1/routing/routing--retrieve"},{"title":"Routing - Activate config","openapi":"post /routing/{routing_algorithm_id}/activate","href":"/v1/routing/routing--activate-config"},{"title":"Routing - Evaluate","openapi":"post /routing/evaluate","href":"/v1/routing/routing--evaluate"},{"title":"Routing - Feedback","openapi":"post /routing/feedback","href":"/v1/routing/routing--feedback"},{"title":"Routing - Rule Evaluate","openapi":"post /routing/rule/evaluate","href":"/v1/routing/routing--rule-evaluate"}]},{"group":"Relay","pages":[{"title":"Relay - Create","openapi":"post /relay","href":"/v1/relay/relay"},{"title":"Relay - Retrieve","openapi":"get /relay/{relay_id}","href":"/v1/relay/relay--retrieve"}]},{"group":"Schemas","pages":[{"title":"Outgoing webhook","href":"/v1/schemas/outgoing--webhook"}]},{"group":"Subscriptions","pages":[{"title":"Subscription - Create","openapi":"post /subscriptions/create","href":"/v1/subscriptions/create"},{"title":"Subscription - Confirm","openapi":"post /subscriptions/{subscription_id}/confirm","href":"/v1/subscriptions/confirm"},{"title":"Subscription - Create and Confirm","openapi":"post /subscriptions","href":"/v1/subscriptions/create-and-confirm"},{"title":"Subscription - Update","openapi":"put /subscriptions/{subscription_id}/update","href":"/v1/subscriptions/update"},{"title":"Subscription - Retrieve","openapi":"get /subscriptions/{subscription_id}","href":"/v1/subscriptions/get"},{"title":"Get plans","href":"/v1/subscriptions/get-plans"},{"title":"Subscription - Get Estimate","openapi":"get /subscriptions/estimate","href":"/v1/subscriptions/estimate"},{"title":"Subscription - Pause Subscription","openapi":"post /subscriptions/{subscription_id}/pause","href":"/v1/subscriptions/pause"},{"title":"Subscription - Resume Subscription","openapi":"post /subscriptions/{subscription_id}/resume","href":"/v1/subscriptions/resume"},{"title":"Subscription - Cancel Subscription","openapi":"post /subscriptions/{subscription_id}/cancel","href":"/v1/subscriptions/cancel"}]}]}]},{"version":"2.0.0 [BETA]","pages":[{"title":"2.0.0 [BETA]","href":"/v2/payment-methods/payment-method--update"}]}]},{"tab":"Locker API Reference","pages":[{"title":"Locker API Reference","href":"/locker-api-reference/overview"}]},{"tab":"Decision Engine API Reference","pages":[{"title":"Decision Engine API Reference","href":"/decision-engine-api-reference/introduction"}]}]},"basePath":"","title":"Payment Method - Update - Hyperswitch","buildId":"223f4d0f93b3","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DLP13Bsa.js","utils-LK_Rx0Zu.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BSq7eEfK.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bchcwpn2.js","snippetPresets-B-BsDEmk.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CNoZnlAG.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DqKAmR6F.js","shallow-Dq5-SwG1.js","getApiPlaygroundDisplay-B6YMrfFr.js","CodeSnippet-DvvqqrVi.js","CodeSnippets-D6Vj56PD.js","Page-03hAnTHd.js","getPastedJson-BKlc8wx2.js","icon-HMNWawTa.js","MethodPill-Dd_Z_kqi.js","DuplicateIcon-DK5o2DOi.js","createIcon-BhUMOhLi.js","DynamicMarkdown-CoGC92CO.js","SectionHeading-K9MvhMbX.js","axios-vUo_bRtp.js","Markdown-DqqHYs0x.js","clsx-DfU2JnNK.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-C8phz87P.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BVRLOPpC.js"]}